package cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.CaGwBuilder;
import cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments.Payment;
import cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments.PaymentsBuilder;

public class MyBuilder extends CaGwBuilder {

    public MyBuilder(Harness harness) {
        super(harness);
    }

    public PaymentsBuilder payments() {
        return new PaymentsBuilder(harness);
    }

    public Payment preparePaymentRequest() {
        return getBuilder(Payment.class);
    }

}